package com.ruoyi.web.modules.circulation.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检疫站 biz_quarantine_station
 */
public class BizQuarantineStation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @NotBlank(message = "检疫站名称不能为空")
    @Size(min = 1, max = 10, message = "检疫站名称长度为1到10个字符")
    private String stationName;

    @NotBlank(message = "详细地址不能为空")
    @Size(min = 1, max = 200, message = "详细地址长度为1到200个字符")
    private String detailAddress;

    @NotBlank(message = "负责人不能为空")
    @Size(min = 1, max = 10, message = "负责人长度为1到10个字符")
    private String personInCharge;

    @NotBlank(message = "联系方式不能为空")
    private String contactPhone;

    @NotNull(message = "运营状态不能为空")
    private Integer operateStatus;

    /** 列表/详情展示：正常、停业、注销 */
    private String operateStatusName;

    private String photoFileUrl;

    private String photoFilePath;

    /** 0 存在 2 删除 */
    private String delFlag;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getStationName()
    {
        return stationName;
    }

    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getDetailAddress()
    {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress)
    {
        this.detailAddress = detailAddress;
    }

    public String getPersonInCharge()
    {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge)
    {
        this.personInCharge = personInCharge;
    }

    public String getContactPhone()
    {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone)
    {
        this.contactPhone = contactPhone;
    }

    public Integer getOperateStatus()
    {
        return operateStatus;
    }

    public void setOperateStatus(Integer operateStatus)
    {
        this.operateStatus = operateStatus;
    }

    public String getOperateStatusName()
    {
        return operateStatusName;
    }

    public void setOperateStatusName(String operateStatusName)
    {
        this.operateStatusName = operateStatusName;
    }

    public String getPhotoFileUrl()
    {
        return photoFileUrl;
    }

    public void setPhotoFileUrl(String photoFileUrl)
    {
        this.photoFileUrl = photoFileUrl;
    }

    public String getPhotoFilePath()
    {
        return photoFilePath;
    }

    public void setPhotoFilePath(String photoFilePath)
    {
        this.photoFilePath = photoFilePath;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }
}
